Subject: bug#52413: 28.0.90; load file wrong in Emacs 28 when using find-file-visit-truename

From: No Wayman <[email-masked]>
Date: Fri, 10 Dec 2021 15:47:43 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: No Wayman <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 10 Dec 2021 15:23:45 -0500
>> 
>> > That bug is about package.el.  Are we sure this bug is also 
>> > about
>> > something related to package.el?  The Subject says "load file 
>> > wrong",
>> > which doesn't necessarily alludes to package installation via
>> > package.el.
>> 
>> I saw this user post a support thread on Reddit and gave them 
>> advice to work around it based off the open issue we have at 
>> striaght.el's tracker.
>> I advised them to add to the issue if they had any more 
>> information.
>> They do not appear to have any more information other than 
>> "this 
>> affects me, too".
>> Another user in the straight.el issue thread encouraged them to 
>> re-report the bug here (I advised against this, but apparently 
>> too 
>> late).
>> They have linked to both issues in their report.
>> This is their first bug report and I believe they are 
>> describing 
>> the same issue as bug #52292 with different wording.
>
> So the only use case where this problem appears is when a 
> package is
> installed by package.el and later loaded?

I can't say whether that is the only case or not.
My aim was only to point out that the user was reporting the same 
issue as described in #52292.

>From straight.el's tracker:

>croqaz commented yesterday
> Hi all, this happens to me as well, on Arch linux, using 
> emacs28-git from AUR.
> You can check this Reddit thread where I was describing the 
> issue: 
> https://www.reddit.com/r/emacs/comments/rcg4r2/help_transitioning_to_emacs_28/
> Somebody amazing left a comment and I ended up in this thread.
> Please ask me anything.

And then another person affected by the bug asked them to 
re-report:

> @jiacai2050
> jiacai2050 commented 14 hours ago
> @croqaz Could you file a bug via report-emacs-bug and post the 
> link to this mail thread.

The reproduction case from emacs -Q given here seems worth 
investigating:

https://lists.gnu.org/r/bug-gnu-emacs/2021-12/msg00376.html